Application Inventory Help Contents

Application Inventory Ó is a utility that scans your system for program .exe files and generates a configurable report listing file version information about the files that were discovered. Optional follow-up scans are then automatically initiated to cross-reference the results with windows .lnk shortcuts and/'or references in the windows registry. Icon indicators show the presence/absence of .lnk/registry references by file. Details on a particular file are available by highlighting that file in the main window and then using the Properties or References toolbar buttons (a right click context menu is also available). If you like you can use the properties sheets from those dialogs to make edits. Include and exclude filters can be used to define the initial search by path (Search-Drive) &/or string(s) found in file version information (Search-Filters). The fields listed in the initial scan are configurable (Search-Columns). Special registry switches can be used establish exclude filters for the .lnk scan and/or search for file extensions other than.exe files. Results can be copied to the clipboard, printed, or saved in a delimited file you specify. The columns in main dialog can be sorted &/or resized using the mouse in the column tabs. Find dialogs are available by pressing F3. Right click context menus are available in most of the program dialogs. Application Inventory can also launch windows explorer on the path containing a file in the results list. Finally, command line scripts can be used to run the program silently from the command line. Application Inventory comes in separate 32-bit or 64-bit (x64) versions for Windows XP and above. The program has built-in support for non-English, international version interface use based on the operating system language setting for your computer.

Click on the graphic below for more information.


Basic Usage Instructions

The basic steps to run an inventory of your applications are:

1. Active the Search for Applications dialog from the File Menu or the Search button.

2. Establish the paths to search in Search-Drives.

3. Also in the Search-Drives dialog make a choice about whether or not to perform a shortcut &/or registry cross-reference scan.

3. In Search-Filters establish one or more subdirectories to exclude. The initial default excludes \Windows so you may want to make a change from the default. Also specify and filter string settings.

4. Verify the fields to include in the report in Search-Columns.

5. Click on OK.


Scripts

Application Inventory can be run from the command line via scripts. Scripts are intended for use during automated scans.

Important: When a script is running, the AppInv program is completely silent and cannot easily be cancelled!. After the script is finished the program exits automatically.

A script file is a plain text file (PC format) created with any text editor. Any name and extension can be used for the script file.

To pass the script to the program, use a syntax similar to:

Appinv.exe <complete name of script file>

If the path to the script has spaces, surround it with " characters.

Some other examples:

start /w Appinv.exe "d:\scripts\AIScript1.txt"

start /w C:\Tools\AppInv\AppInv.exe ""d:\script files\AIScript 2.txt"

start /w above is used to cause the command interpreter to "wait" for one program instance to finish before launching the next. You should use start /w to keep multiple instances of the program from launching at the same time.

The script switches are described below. Please note that the # character is the comment character. It MUST go in column 1. Also, all switches MUST begin in column 1.

# Application Inventory Script

# Version 3.0

# Notes:

# - The [Settings] section tag MUST be present.

# - Only one scan can be performed per script. If you need to

# do several scans, use a separate script for each scan.

# - # is the comment character. It MUST go in column 1.

# - All switches and the [Settings] tag MUST begin in column 1

# - You MUST specify an output file of some kind or the program

# will run and do nothing!!

[Settings]

# ** PATH(S) TO SCAN **

# Use the Drives= switch to specify the path(s) to scan.

# Multiple paths can be separated by the ; character.

# If Drives= is not specified. all available drives

# for the machine are scanned.

Drives=c:\;d:\test

# ** PATH(S) TO EXCLUDE **

# Use the optional Filter Paths= switch to exclude one or

# more paths from the scan. This is the same thing as the

# Options|Filters - "Filter Paths" field in the GUI.

Filter Paths=c:\Windows; D:\System Volume Information;c:\System Volume Information

# ** SHORTCUT FILTER(S) **

# Use the optional Filter Shortcut Paths= switch to exclude

# one or more paths from the scan for shortcuts. By default

# the program searches all available paths when looking for

# lnk shortcut references. Separate multiple paths to skip

# with the ; character.

Filter Shortcut Paths=c:\Windows;D:\System Volume Information;c:\System Volume Information

# ** FILE EXTENSION(S) **

# By default the program searches .exe files. You can

# change this with the optional Search extension= switch.

# Only one extension can be used per run so if you have

# several you want to check, do a separate operation for

# each extension.

Search extension=.exe

# ** STRING FILTER(S) **

# Use the optional String Filter= and String Filter Flag=

# switches to filter the output by string. String Filter=

# is used to specify the string(s). Only one string can

# be considered per run so if you have multiple strings

# to scan for, do one string per run.

# String Filter Flag= has three possible values:

# 0 = Do not consider strings

# 1 = Exclude apps that do NOT contain the strings

# 2 = Include only apps that DO contain the strings

# These two switches are the same as the Options|Filters -

# "Strings to search for" fields in the GUI.

String Filter=Funduc Software

String Filter Flag=0

# ** COLUMNS TO LIST **

# Use the optional Columns= switch to control which

# fields (and in which order) are listed in the output

# file. The columns are the same as those in

# Options|Columns in the GUI. If the switch is omitted,

# all fields are output. The order can be changed by

# positioning the numbers as you like. The columns are:

# 0 = Application 1 = Version

# 2 = Date/Time 3 = Size

# 4 = Company 5 = Path

# 6 = File Description 7 = Internal Name

# 8 = Copyright 9 = Original File Name

# 10 = Product Name 11 = Product Version

Columns=0;1;2;3;4;5

# ** SORT RESULTS **

# Use the Sort Column= switch to control which column

# to sort by. Use the number codes above. Only one

# sort is possible so do not specify more than one

# number.

Sort Column=2

# ** ASCENDING/DESCENDING SORT **

# Use the Ascending= switch to control which order

# to sort by. Ascending=0 is descending.

Ascending=1

# ** OUTPUT FILE **

# You must include this switch or nothing will be output

# Surround paths with spaces with " characters.

Output File=D:\AIResults\AIScriptOutput1.txt

# ** APPEND VS OVERWRITE OUTPUT **

# Use the Append to Output= switch to control overwrite

# vs. for the output dump. Append to Output=0 overwrite.

Append to Output=1

# ** QUOTED STRING **

#

#Quoted strings=1


Application Intentory Main Dialog

Application Inventory Main Dialog

Below is a sample of the main dialog. Click on the graphic below for more information.


Search Dialog - Drives

The Search Dialog, Drive tab is used to specify the drive (or subdir's) to search. The program defaults to all local drives found. Use the Add/Edit/Delete buttons to modify the drives via a standard path browser. These are 'include' filters, meaning, the paths specified are included in the scan. All subdirectories under the path are scanned. If you want to limit the scan to a single path you can use a more restrictive path. For example, to search only C:\Program Files, use the Edit button to change C:\ to and C:\Program Files.

Use the 'Cross-check Shortcuts' and/or 'Cross-check Registry' switches to control whether or not the program performs a shortcut and/or registry scan for references to the files found in the initial search.


Search Dialog - Filters

The 'Filter Path' section of the Search Dialog, Filter tab is used to specify files paths to exclude from a search. The paths you see modeled here would not be scanned for files. Use the Add/Edit/Delete buttons to change the entries.

The 'Filter Strings' section is used to specify include/exclude strings. These are strings found in the file version information (if any) returned for a file. Use the radio buttons to control the effect of the string filter. As modeled here, no string filters are enabled. The radio button choice applies to all strings specified. For example, you cannot have one string as an exclude and other as an include filter.


Search Dialog - Columns

The Search Dialog, Columns tab is used to specify what fields to include in the scan report. Use the Add/Remove buttons to change the entries. Be advised that all fields may not be available for a given file. For example, if the file author did not include a particular field or if the file type does not support a certain data field, Application Inventory will report null data for that field.


References Dialog

The References Dialog is launched on a highlighted item via the Reference button or the context menu. The dialog provides information about shortcut references &/or registry references for an item in the main dialog. If no shortcuts or registry references were found the dialog will be blank. A right click context menu is available within the References dialog to copy information to the windows clipboard. You can also highlight one or more lines and press ctrl+C.

The Properties button launches a Windows shortcut properties sheet that can be used to view more information about the highlighted shortcut (if any).


Properties Dialog - Files

A windows file properties dialog is presented if you highlight an item in the main dialog and use the Properties button on the toolbar or select 'Properties' from the context menu. A sample is presented here. Windows will return different dialogs depending on your operating system and the file involved.

Important Note: The windows properties dialog for your file may allow you to make actual edits to the information. Do so at your own risk. Application Inventory is intended to be reporting tool -- it currently does not have any automatic backup functions!


Properties Dialog - Shortcuts

The References dialog contains a Properties button that can opens a standard windows shortcut properties sheet on the highlighted shortcut. A sample is presented here. You may see a different dialog on your operating system and the file involved.

Important Note: The windows properties dialog will probably allow you to make actual edits to the information. Do so at your own risk. Application Inventory is intended to be reporting tool -- it currently does not have any automatic backup functions!


Context Menu

Context menus, similar to the below, are available in various places throughout the program. Right click with the mouse to activate the menu.


Find Dialog

A find dialog to search for simple strings is available in the main dialog and the References dialog by pressing ctrl-F or F3.


Explorer Launch

Application Inventory can launch windows explorer on the path containing a highlighted item in the main dialog. Click on the Explorer button or use 'Explore Directory' from the context menu.


Registry Settings

Special Registry Settings

Application Inventory has two special registry settings that may be of interest.

1. The first switch allows you to change the file extension the program scans for. The default is .exe files. You can specify any name extension you like. Currently only one extension can be processed at a time.

2. The second switch is a path exclude filter for the shortcut scan. By default the program looks for windows shortcuts in all paths, regardless of any filters specified in the Search dialogs. Use the switch below to prevent specific paths from being scanned for .lnk files.

Both these switches can be used in a script.

Important Note: The information presented here is for advanced users. The settings require a manual change to the windows registry. Please do not experiment if you are not thoroughly familiar with making changes to the registry. Careless mistakes can cause your computer to stop operating any may require you to reinstall your operating system and all software. Write support@funduc.com in advance if you need help making these setting!!

The registry information is as follows. We present this in .reg format. If you are following the above 'Important Note' you are already familiar with this. If the below is meaningless to you, write support@funduc.com for help.

REGEDIT4

# Application Inventory v 3.0

# Funduc Software Inc.

# www.funduc.com www.searchandreplace.com

# Below are two registry settings that you can configure by

# hand. Currently there is no GUI interface for these switches.

# Pending user input, additional functionality may be added t

# GUI in future releases.

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Application Inventory\Settings]

# File Extension to Scan for: The below string value determines

# the file extension the program will scan for during the

# initial file scan. .exe is the default. You can change this

# to any extension. Only one may be used at a time.

"Search extension"=".exe"

[HKEY_CURRENT_USER\Software\Funduc Software Inc.\Application Inventory\Settings]

# Exclude paths from Shortcut Scan: By default the program checks

# all local paths for .lnk files. Use the below string value

# to specify one or more subdirs to exclude from the .lnk check.

# Include the \ character at the end of the path name. Separate

# multiple paths with the ; character.

"Filter Shortcut Paths"="C:\\_Restore\\;D:\\System Volume Information\\"


Operating System Compatibility

Application Inventory runs on Windows 2000 (Workstation and Server), XP (Pro and Home), and Vista (All versions)

Notes:

  • Windows 95, 98, & ME users: These platforms are no longer officially supported. If you have a brand new install off the original Microsoft CD's you should also apply latest available updates from Microsoft. Directory Toolkit relies on versions of several system dlls that were updated by Microsoft since the initial release of these operating systems.

  • Windows NT users: NT is not longer officially supported. At minimum, you install Service Pac 6.


License Information

Application Inventory
Copyright (c) 2001-2010 by Funduc Software Inc.
www.fuduc.com www.searchandreplace.com
All rights reserved.

See Ordering Information for information on how to purchase (register) Application Inventory.

License Agreement and Warranty Disclaimer

You should carefully read the following terms and conditions before using this software. Use of this software indicates your acceptance of these terms and conditions. If you do not agree with them, do not use the software.

Copyright and Other Restrictions

You are prohibited by law from selling, renting, leasing, loaning, or donating the program or documentation in whole or in part without specific advance agreement between yourself and Funduc Software, Inc. You are prohibited by law from redistributing the licensed version of the program by any method or in any form except to the specific individuals for whom the software was purchased. You are prohibited from decompiling, reverse engineering, disassembling, or otherwise reducing either shareware or licenses versions of the program to human readable form for any purposes whatsoever. You may not modify the program or documentation in any manner. You are prohibited from permitting anyone else from undertaking any of the above actions.

Shareware Version License

The shareware version is not free software. If you are using the shareware version you are hereby licensed to use this software for evaluation purposes without charge for a period of 20 uses. If you use this software after the 20-use evaluation period a registration fee is due (see Ordering Information).

If you are using the Shareware Version of the software you are also hereby licensed to: Make as many copies of the Shareware version of this software and documentation as you wish; Give exact copies of the original Shareware version to anyone; Distribute the Shareware version of the software and documentation in its unmodified form via electronic means. There is no charge for any of the above.

You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the software and/or documentation with other products (commercial or otherwise) without prior written permission.

Unregistered use of Application Inventory after the evaluation period is in violation of federal copyright laws.

You may not decompile, disassemble, or reverse engineer Application Inventory (shareware) in any manner.

Registered Version License

One registered copy of Application Inventory may be dedicated to a single person who uses the software on one or more computers or workstations that are for their own exclusive use and for which they are the sole user.

The purchase of a single user license specifically does not permit use of the program to modify, update, or search multiple workstations, directly or indirectly, via any means. A single user license may not be made available in any form to multiple users or workstations.

Licensing is not based on "concurrent" users. If multiple workstations are to access the program in any form and for any length of time you must purchase licenses for the number of workstations that will access the program. If you make the registered version of Application Inventory available through a network and accessible by multiple users or workstations you are required to purchase licenses for the software covering all workstations that will access the software through the network. Special pricing is available for multiple licenses. See Ordering Information for information on how to purchase (register) Application Inventory.

You may not decompile, disassemble, or reverse engineer Application Inventory (registered) in any manner.

Special Use License For Large Networks

Special licensing is available for corporate &/or large networks. The purchase of a special use license allows you to use the program to inventory the number of workstations for which you purchased special use licenses for. Unless otherwise noted at the time of your purchase, a workstation update/special use license specifically does not allow individual workstation users to access the program for interactive use. Do not create desktop shortcuts or launchers that allow workstation users to access the program outside of the specific update routine for which you purchased the special use license.

Please contact support@funduc.com for information about enterprise use.

Ownership Rights

Funduc Software, Inc. owns and retains all copyrights, patents, trade secret rights, trademarks and intellectual property rights to this software. Registration &/or use of the software does not grant you any right to the intellectual property in the product.

Customer Support

Customer support can be obtained by visiting our homepage at www.funduc.com or www.searchandreplace.com by E-MAIL (support@funduc.com).

Restrictions

You are prohibited by law from selling, renting, leasing, loaning, or donating the program or documentation in whole or in part without specific advance agreement between yourself and Funduc Software, Inc. You are prohibited by law from redistributing the registered version of program by any method or in any form except to the specific individuals for whom the software was purchased. You are prohibited from decompiling, reverse engineering, disassembling, or otherwise reducing the program to human readable form for any purposes whatsoever. You may not modify the program or documentation in any manner. You are prohibited from permitting anyone else from undertaking any of the above actions.

You may not decompile, disassemble, modify, or reverse engineer Application Inventory (registered or shareware) in any manner.

Governing Law

This agreement shall be governed by the laws of the State of Michigan, United States.

Disclaimer of Warranty

This software and the accompanying files are sold "as is" and without warranties as to performance of merchantability or any other warranties whether expressed or implied.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it. The user must assume the entire risk of using the program. Any liability of the seller will be limited exclusively to product replacement or refund of purchase price.


Customer Support

Customer Support Information

If you have a question that is not answered in the documentation, contact us directly by E-MAIL at support@funduc.com. Please give as much detail as possible about the operation you want to perform and what the difficulty is.

To report a bug, E-MAIL: support@funduc.com.

Registered users are eligible for support and quarterly updates for a period of one year.

Shareware Users: We will do our best to answer your questions, however, please understand that ongoing support necessitates that you register Application Inventory.

We welcome suggestions for improving Application Inventory. If you have an idea, first check the documentation and README.TXT file to make sure they are not already implemented or planned. If not, drop us a note at support@funduc.com.

For ordering information, please see Ordering Information.

Thank you for using Funduc Software products!


Ordering Information

Funduc Software - Purchasing & Ordering Application Inventory

The base price of Application Inventory is $15/single user, plus $8 to $10 S&H if you want a diskette sent by US or International mail. Email delivery is free. Quantity discounts are listed in the fax/mail order form and on our WWW site, www.funduc.com.

As part of the registration, you will receive free updates and customer support (by Email) for one year. Updates are sent to registered customers as they become available. They incorporate your suggestions, so please send them! If you have problems receiving the program or need customer support, contact us directly by Email at support@funduc.com.

Credit Card Registration: Several routes are available…

  • Secure Internet Transaction: If you have a secure Web browser such as Netscape or Internet Explorer, you may register by credit card via a secure Web transaction from our web site at: http://www.funduc.com.

  • Fax Registration: To register using a credit card via fax, open and print the fax/mail order form. You may also edit and print the file, 'Order.txt', in the program subdirectory. Please write clearly or type when you complete the form. Please check our web site - www.funduc.com/contact.htm - for the fax number to use. Fax orders are processed within a few hours during the USA business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

  • Phone Registration: Call the number indicated on the page at www.funduc.com/contact.htm to order using a credit card. Please remember to specify which program you are ordering. Phone orders with email delivery are typically processed within one business day. Allow 7-10 days for postal deliveries. Write support@funduc.com if you have a question about your order.

Ordering by check: To register by check, open and print the fax/mail order fax/mail order form. You may also edit and print the file, 'Order.txt', in the program subdirectory. Please write clearly or type when you complete the form. Mail the form and a check to the address indicated on the form. Please allow 7-10 days for check order processing and then contact support@funduc.com if you did not receive the program. Payments must be in US dollars drawn on a US bank or international postal money order in US dollars. If you send a postal money order, do so only by some form of registered mail that can be traced!


Acknowlegements

Acknowledgements

Thanks to you, our customers, for your suggestions & support!


Funduc Software Products

Please visit our Web site at http://www.funduc.com for more information, freeware, shareware, and purchases of these and other products.

Search & Replace

Search and Replace is our award winning utility loved by programmers, webmasters, and novice computer users alike. If you need to find and replace text, or just find text, this utility is a must have.

Search and Replace looks through multiple files for a string and can also replace it with another string. It can search subdirectories and ZIP files and do case sensitive or insensitive searches. Extensive support for regular expression (egrep) search & replacement includes operations that span more than one line, insertion of the path & filename during replacements, and incrementing number replacements. Binary search & replace mode can be combined with regular expressions. Precise control over replacements is available through multiple confirmation options and a built-in context viewer that allows you to view replacements in- context, before they are made. An HTML Mode can be used to make html special character code substitutions during search/replace. Ignore Whitespace mode makes it convenient to handle spaces & cr-lf during non-regular expression operations. A built-in script editor makes frequent &/or complex multi-step search/replace operations easy to prepare. Advanced script operations include a boolean expression evaluator that provides additional control over which files are processed by the script. Advanced scripts also allow you to specify the program options in effect, insert comments in scripts, and perform iterative script operations. Multiple file masks and file date & size filters can be used to include &/or exclude files during regular and scripted operations. The internal context viewer includes a build-in editor for editing text files. The full complement of command line switches (including script launching) is ideal for network managers & advanced users. Other functions include: "Touch" files (change time/date stamp & file attributes); Preservation of original file date during replacements; Replacements on backup path files instead of the originals; Output reports to monitor operations; Shell extensions to launch Search & Replace from Explorer and the Find Menu; and more. A detailed help file with examples are included. Several foreign language interface are available from ttp://www.funduc.com.

Search and Replace has received several awards from WUGNET® (Windows User Group Net) Windows NT Shareware Pick of the Week (www.wugnet.com/shareware), Windows Magazine (www.winmag.com) Superior Shareware, and has been featured several times in Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars, & a TUCOWS (www.tucows.com) 5 Cow rating.

Search and Replace Regular Expression Wizard

Search and Replace Regular Expression Wizard is a step-by-step wizard to help you build regular expressions for use in Search and Replace. The expressions can be constructed from a menu of operators having English language counterparts. The impact of the operators is displayed in color coded form on a sample text you provide. You can move back & forth between search operators - replace operators - final results to adjust your expressions as necessary. When finished, the final expressions are inserted into the corresponding Search and Replace fields if Search and Replace is running. The Wizard itself is freeware. Documentation requires a one time purchase. Search and Replace Regular Expression Wizard is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Directory Toolkit

Directory Toolkit is a multipurpose directory comparison and file manager that provides features missing from Windows. It displays single directory lists or side- by-side directory comparisons using color coding for alike, different, or missing files. Comparisons can be based on dates or a binary file analysis of file content. You can copy, move, & rename files while retaining long filenames and six built-in synchronize functions simplify updating directories. Built-in archive functions, with Explorer shell extensions, let you create & manage archives from Explorer and use Directory Toolkit as your primary archive manager for supported archives (zip, tar, gz, lz (read only), & cab). File operations and directory comparison functions work seamlessly on files in archives, e.g., no need to manually extract files first. Other features include statistics for file counts and path sizes; Ignoring filename case during comparisons; Explorer compatible OLE drag n Drop; Split/Concatenate files to/from diskettes; Encode/Decode UENCODE, Base64(Mime), BinHex(Mac), XXENCODE and yEnc formats, (Decode also includes quoted-printable, 7 bit unencoded, & plain text); An integrated comparison viewer for a color coded display of the actual differences in files; Safe physical sort of directories; Touch files (change time/date & attributes stamps); Find duplicate files on a drive; Open files and launch applications; Multiple include/exclude file masks and the ability to include/exclude files based on size and date; Command line switches & script functions to automate comparisons & synchronize operations & control program options in effect via batch files; Configurable output file and print functions to create reports of single and comparison directory lists; Detects & runs (optionally) setup programs in archives; Display file version information including 8.3 file name equivalents; File numbering to number files sequentially based on adjustable sort order and a user defined starting value. Help file with examples included. International versions are available from http://www.funduc.com.

Directory Toolkit has been a winner of the WUGNET® Windows NT Shareware Pick of the Week for (www.wugnet.com/shareware), WUGNET® Windows95 Best Choice Shareware for the week, and featured Lockergnome's Free Windows 95/NT E-zine (www.lockergnome.com). It has a ZDNet Hotfiles (www.hotfiles.com) of 5 stars.

Funduc Software ZIP Extractor

Funduc Software ZIP Extractor is ZIP "self-extractor stub" that lets you turn your ZIP files into a self-extracting executable that will automatically unZIP the archive when launched. This allows you to share your zip files with another person who might not have an unzip software on their computer &/or who might have only occasional use for an unzip tool. The self-extractor allows some or all files to be extracted and can create the paths in the zip file (default) or "flatten" the directory structure (unzip into a single path).

Replace Studio

Replace Studio is a cousin to our award winning Search and Replace utility. Replace Studio searches through one or more files for a string and can replace that string with another string. Choices for search settings include: Subdirectory Search; Archive Search (Zip, Tar, Tar.Gz, Tar.Z, Tgz, Taz); Case Sensitive; Whole Word; Ignore Whitespace; HTML Mode. File Masks and file size &/or date Filter settings are available for further choices about the files to be processed. Like Search and Replace, Replace Studio has extensive regular expression (egrep) search & replacement functionality for complex search/replaces. A Favorites menu and script editor simplifies user control over frequent &/or complex multi-step search/replace operations. Replacements in files in supported archives can be done directly - no need to manually extract files first. A built-in Context Viewer allows you to view &/or manually edit the files found by the search. The many additional options include: Preservation of original file date during replacements; Replacements on backup path files instead of the originals; Output reporting; Control over results list sorting; File Operations on files found by the search; Launch Explorer on the search results path of a file; Settings to use alternative viewer/editor on found files; Automatic locale-based international versions for supported languages; and more. Replace Studio comes in 32-bit and 64-bit versions for Windows XP and above. Two flavors are available: Pro and Business. The Pro version is intended for use as a graphical interface program while the Business version is oriented towards script-based & command line use, where a graphical interface is not required.

Resource Translation Toolkit

Resource Translation Toolkit (RTT) is utility to simply translation work on po, rc, and tmx files. Various translation suites are available but they are expensive or limited to a single file type. Resource Translation Toolkit is low cost and can work with multiple file types. The program runs on Windows 2000 and above, is small in size (approx 3 MB including support files), and does not place extensive demands on your computer. RTT uses a 'Translation Memory' file, which can be in a TMX or POT format. The program simplifies translation by first removing mnemonics (accelerator keys), shortcut keys (such as Ctrl+C) and punctuation characters from menu and other control text, sorting and consolidating duplicates and presenting them for translation.

Registry Toolkit

Registry Toolkit lets you search &/or replace and edit the Windows registry. You can specify the data types to process, start key, case sensitive, whole word. Regular expression operations using an egrep-type syntax are also available. You can create/edit keys, values, &/or data manually if you wish. A unique 'operations' function lets you move/copy/delete/export values you select. For example, you can copy/move keys from one location in the registry to another. The program now maintains multiple 'undo' files that can be used to reverse previous changes (10 is the default). An automatic 'last change' undo is available from the program GUI. Replaces can be previewed in advance, in-context. Replaces can also be previewed in the context of an overall search - a comparison dialog then lets you select/deselect specific operations to perform before making the overall replace. The program can print search & registry browse results. The .reg import function allows you to compare existing data vs. data to be imported - specific items can then be selected/deselected. The .reg export function can be used to make special .reg files that delete keys when merged via Registry Toolkit or our new Registry Toolkit Merge program (see our web site). The various program comparison dialogs are configurable and their contents can be copied to the windows clipboard. The program can read DOS environment variables and use them in a search/replace. Script file & command line functions are available for automated &/or complex operations. Registry Toolkit will operate on a remote registry (if you have permission to do so). A German interface is available.

Registry Toolkit Merge

Registry Toolkit Merge is a companion program for Registry Toolkit. Registry Toolkit Merge is a command line that merges .reg files into the Windows registry. Registry Toolkit Merge is unique because it can be used to create self-contained, self-importing .exe's. When clicked on, the .reg information is imported into the registry (after confirmation). This is be useful, for example, if you need to distribute a .reg file to others but are worried that they might not know how to import a .reg file manually. Alternatively, a .reg file can be passed to the program from the command line. Like Registry Toolkit, the program can be used to apply .reg files that will delete keys from the registry or copy/move them to another location -- tasks that cannot be accomplished easily by the regedit.exe .reg merge function that comes with Windows.

Folder Synchronize

Folder Synchronize is a command-line utility useful to network administrators and other power users. It provides a subset of the functions in our Directory Toolkit utility, namely, the comparison & synchronize functions. We created Folder Synchronize for those who needed those functions but not the GUI interface & other functions of Directory Toolkit such as archive management, file operations, etc. Folder Synchronize is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Folder Synchronize can synchronize two paths using one of 6 synch methods. The program can also do a comparison-only. This is useful with the output report function. When the output report is enabled it will contain a summary of the path comparison &/or a summary of the file operations carried out by the synchronize. Other features include: Switchable display (or not) of a progress meter; A custom bitmap & message of your choice can be displayed on the screen while an operation progresses; A 'No Cancel' switch can be used to make it less easy for a procedure to be interrupted; Require (or not) confirmation of file operations; Complex include/exclude file masks that let you include/exclude some file or subdirectories while including others; Multiple operations can be submitted to the program via multiple 'configuration files'.

Folder Synchronize Script Editor

The 'Script Editor' is used to generate (or edit) script files that can then be used with Folder Synchronize or our Directory Toolkit utility. The script switches are presented in an organized arrangement. The display of related switches can be collapsed/expanded for readability. Folder Synchronize Script Editor is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Application Mover

Application Mover is a tool that relocates installed programs from one path to another on your hard disk. Application Mover takes files found one path and moves them to another that you specify. Application Mover scans the windows registry for references to old file location and adjust the registry to the new location. Application Mover also scans all windows shortcuts in the Start Menu and adjusts those as well. *.ini and *.log files present in the program's path are updated to reflect the new location of your program. Application Mover is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Application Inventory

Application Inventory is a utility that scans your system for program .exe files and generates a configurable report about the files that were located. Optional follow-up scans are then initiated to cross-reference the initial scan results with windows .lnk shortcuts and/or references in the windows registry. Further details on files are available from Properties and References dialogs. Include and exclude filters are available to define the initial search by path &/or string(s) found in file version information. The fields included in the initial file scan are configurable. Results be sorted, copied to the clipboard, printed, or saved in a delimited file you specify. Application Inventory can also launch windows explorer on the path containing a file in the results list. Although Application Inventory is intended as a reporting tool, various windows properties sheets can be launched that allow you to make edits to file or shortcut properties. The program defaults to scanning for .exe files but a special switch is available to scan for another file type that you specify. Application Inventory is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Duplicate File Finder

Duplicate File Finder is utility that locates duplicate files on in one or more paths. Unlike other utilities that only check file names, Duplicate File Finder performs a binary comparison of file contents and can locate files that are alike regardless of names. The path(s) to scan is configurable by file path and file mask(s) and filter settings can be used to include/exclude files by date, size, attribute. Results can be saved to a tab delimited file. Supplementary functions include launching files, deleting files to the recycle bin, opening Explorer on a path, and examining file properties. Duplicate File Finder is available in 32-bit or 64-bit (x64) versions for Windows XP and above.

FSDBMgr - A Freeware Database Manager for SQLite

FSDBMrg (Funduc Software Database Manager) is an open source, customizable database manager for SQLite. The source code and compiled working demo with a sample database is available on our www site. SQLite was our choice for the database but the program can be easily modified to work with any database for which an ADO .Net provider is available. The demo code includes functions to: Find & modify customer and purchase history; Importing records saved in text format; Saving and running custom SQL; Generating pdf receipts; Tracking sales tax.

File Merge Express

File Merge Express is a file comparison and merge utility for 32 bit Windows. The program displays a contents comparison of two files and can (optionally) create a third file, 'Merge File' that consists of the merge of the two files being compared. The Merge File can (optionally) be opened in the built-in text (or binary) editor. The program has options for file naming of the Merge File, including automatic naming when the two source files for the comparison have the same name. The Compare Files dialog is also used to establish parameters such line prefixes, colors, orientation of the preview, etc. Command line parameters are available to specify files to compare or a script file to use. The program can also be launched from the Windows Explorer right click menu. File Merge Express will also supplement our Directory Toolkit utility. If both programs are installed, Directory Toolkit's file contents comparison will automatically employ File Merge Express, which has more features than Directory Toolkit's internal routine. File Merge Express is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Delivery Agent

Delivery Agent is a send-only e-mail program, with mail merge functions, for use by web site managers, network administrators, customer relations and support personnel, etc. The program is used to deliver frequently used, customer-requested e-mail messages (& MIME attachments) such as newsletters, product delivery & announcements, support notes, etc. Messages can be sent to one or more users by selecting a message from a list and entering the users' address. The program can read a text file containing a list of addresses for bulk delivery. Recipients of bulk deliveries are shielded from seeing the other recipients in the list. The program checks a POP e-mail account prior to sending message via SMTP - useful for servers that 'validate' the users current IP address prior to mail relays. Version 3.0 adds MAPI support. When activated, the program will route outgoing messages to your primary MAPI-aware e-mail program. Mail merge field name definitions, variable names, and data are stored in a single file containing the data and e-mail addresses. Variable names can be anything you like (except for the name of the e-mail address field). Mail Merge 'Constants' can also be defined. The program has a customizable header function that can be used to send web mail' or 'HTML mail'. The "To: " field can also be customized for bulk, non- mail merge deliveries. Port settings to use and maximum number of recipients per block can be configured manually. Settings and messages can be created via the program GUI or, once you are familiar with the program, via an external text editor. A full complement of command line switches allows the program to be incorporated into your .bat routines. A log file of deliveries can be enabled (or not).

Shortcut Doctor

Shortcut Doctor allows you to check your Windows links/shortcuts and see which contain targets which can no longer be found. The program can then delete the shortcuts, resolve them, or carry out search/replace operations to modify shortcut fields with or without validation of new paths. Network Drive mappings can be inserted in the Replace dialog automatically. Individual shortcuts can be edited and all shortcuts on a drive can be displayed, regardless of whether they are valid or not. Explorer Internet URLS can also be checked for problems. CD-ROM drives, network drives, and specific paths can be ignored during processing. Includes an Empty Recent Documents button. Script files, run from the command line, allow you to do multiple operations, control program options, and easily specify complex paths. A German interface is available. Shortcut Doctor is available in 32-bit and 64-bit (x64) versions for Windows XP and above.

Funduc Explorer Extensions

Explorer Extensions is a collection of enhancements for the Windows Explorer right-click context menu: a) Encode and Decode Email attachments - support for UUENCODE, Base64(Mime), BinHex(Mac), XXENCODE, quoted-printable, 7 bit unencoded, & plain text, b) Split and Concatenate large files into smaller ones for storage on floppies & visa versa. Split can be based on file size or a string found in a file, c) Touch files - change the time, date, & attributes of files. Touch can add (or subtract) a user specified time value from the current file time. d) File Operations - copy/move/rename/delete files using complex file masks. The program can also change the case of file names & number files. Explorer Extensions is available in 32-bit and 64-bit (x64) versions for Windows XP and above. A German version is available.

Drive Bar

Drive Bar allows you to conveniently open views of your drives in the Windows Explorer. Drive Bar's Auto Hide function allows it to disappear from view when not in use so that it does not take up screen space. Drive Bar is resizable and can be set to remain visible at all times. It can also be set to launch alternative file manager programs in lieu of Windows Explorer, launch views as "Tiled" or not, ignore specified drives in the list of drive icons, and run automatically at Windows startup.

Update Toolkit

Update Toolkit is a multi-purpose application intended for administrators network managers. This program was created for those who need some or all of the separate functions of our Folder Synchronize, Shortcut Doctor, Registry Toolkit, and Search and Replace utilities under one command line application. Operations are controlled by scripts and are highly configurable. While Update Toolkit can be used on individual machines, it is oriented toward 'logon-script' operations for workstations. The program has no user interface and therefore is well suited for automated operations.

Count Characters (freeware)

Count Characters copies most Windows controls' data to the clipboard! That's just one of the features of this freeware program from Funduc Software. The program can report the type and content of some of the windows currently displayed on your desktop and for the most popular types of controls (including lists and trees) it can copy their contents to the clipboard. You can also copy the contents of password fields and regular text boxes. Cost: Fre.

Decode Shell Extension (freeware)

Decode Shell Extension is very popular freeware app is an extension for the Windows Explorer. The program allows you to decode Internet email attachments by right-clicking on a saved message file from Explorer and selecting Decode from the menu. The program supports multiple attachments, multi-part files (already concatenated), UUENCODED, Base64(MIME), BinHex (Mac format), quoted-printable, XXENCODED, plain text files, and User (table) encoded files. If the attachment contains only one file, Decode Shell Extension will offer to open it using either the associated program or Notepad. For virus safety reasons, it will not offer to launch .exe., .com, .bat, & .cmd files. You should scan decoded Word and Excel files with your anti-virus checker before loading them.

Word Search and Replace

Word Search and Replace is a freeware macro for Microsoft Word. It uses the 'find and replace' functions of MS Word to perform a search/replace in one or more files selected by a file mask supplied by the user. We created 'WordSR' for those who need to search/replace in Word documents only. The macro can use the Word 'Pattern Matching' regular expression switch. Case Sensitive and Whole Word search/replace is also possible

Excel Search and Replace

Excel Search and Replace is a counterpart to our Word Search and Replace. This is a freeware macro for Microsoft Excel that searches (and replaces) in multiple .xls files using Excel's built-in find & replace function.

PowerPoint Search and Replace

PowerPoint Search and Replace rounds out our collection of freeware find and replace Office Macros. This macro is a PowerPoint .ppt file that works with MS PowerPoint files using the find and replace functions that are part of PowerPoint. You need to have the full version of PowerPoint installed. The macro can be run as a slide show but it will not work if you only have the PowerPoint Show Viewer from Microsoft.

TZAdjust (freeware)

TZAdjust, which stands for Time Zone Adjust, is a freeware app we created for users who find it necessary to make manual changes to the Windows time zone and 'day light savings' offset parameters. TZAdjust is probably of greatest interest to Windows NT-class users. NT/2000/XP returns time information as an offset from Greenwich Mean Time (GMT). In addition, the OS automatically makes Daylight Savings compensations when reporting file times. One can disable "Automatically Adjust for Daylight Savings" entirely in the Windows Day/Time Properties dialog but there may be other instances where finer control over time zone and the daylight offset is desired. Do not use TZAdjust casually. Be sure to read the information in the 'readme.txt' before using this program.

FS Touch (freeware)

Funduc Software Touch is a free 'touch' utility to change the time/date & attribute stamps on one or more files. The program can be run from a graphics screen or from the command line. The program runs on Windows XP and above.

HexView for Windows (freeware)

HexView is a multiple document Hexadecimal viewer that can display, print, and print preview any file as a hex dump. It is intended as a supplement for Search and Replace for Windows, however, it is a standalone app and does not require Search and Replace. A Japanese version is available.

Limit Edit (freeware)

Limit Edit expands upon the built-in limit feature for edit boxes & rich edit controls by letting you set your own maximum size settings for the amount of text permitted in edit boxes and rich edit controls. For example, Limit Edit can set a limit on the amount of text allowed in an instance of the Notepad text editor. The Limit Edit dialog also displays interesting information about the types of controls in use by a program. Although intended for edit boxes and rich edit controls only, it may also work on some other controls that are subclasses of these. Separate 16 and 32 bit version included.


Application Inventory About Box

This window contains system and copyright information. The underlined link to our web site will launch the default www browser for your computer and take you to http://www.funduc.com. The underlined Email link will launch the default Internet Email program for your computer. Click the Ordering Info button for Ordering Information or the License Info button for License Information.


Funduc Copyright

Application Inventory

Copyright © 2001-2010 Funduc Software, Inc.
All Rights Reserved
 www.funduc.com www.searchandreplace.com

See Ordering Information for details on how to purchase Application Inventory or write us at support@funduc.com. See License Information for details about licensing. For customer support, contact support@funduc.com. Also see our web site for product information, trialware & freeware downloads of our other award winning software products.


Exit Button

Exit Button: Click to exit the program.


About Box

Application Inventory

Copyright © 2001-2010, Funduc Software, Inc.
All Rights Reserved
www.funduc.com www.searchandreplace.com

See Ordering Information for details on how to purchase Application Inventory or write us at support@funduc.com. See License Information for details about licensing. For customer support, contact support@funduc.com. Also see our web site for product information, trialware & freeware downloads of our other award winning software products.


Language Support

Application Inventory has built-in support to use a non-English, international program interface based on the language settings for your operating system. Please see the Application Inventory home page on our web site for the latest information about the language choices that are included with the program. Also, please email support@funduc.com if you are interested in translating the interface into your native language.


Path Browser

Path Browser: This opens a standard windows path browser that you can use to locate the path you desire.


Cancel Button

Cancel Button: Click here to cancel and close Application Inventory.


Column Tabs (P)

Column Tabs: Click on the column tabs to change the sort order. To resize a column, position the mouse cursor in between two columns and drag to the left or right.


Edit Menu (P)

Edit Menu: This menu has various clipboard functions.


Explorer Button (P)

Launch Explorer Button: Launches Windows Explorer on the path that contains the currently highlighted item.


File Menu (P)

File Menu: The File menu launches the Search dialog, which is the starting point for all inventory scans. The Print and Save As functions are used to print the results or save them to a delimited file.


Help Menu (P)

Help Menu: Various program information is here.


Link Only Icon (P)

Link Only Indicator: The [image] icons indicate that a shortcut reference was found.


Print Button (P)

Print Button: Click here to print what is listed in the main dialog.


Properties Button (P)

Properties Button: Launches a windows Properties sheet on the highlighted item.


References Button (P)

References Button: Launches the References Dialog on the highlighted item.


Registry and Link Icon (P)

Registry and Shortcut Indicator: The [image] icons indicate that both a registry and windows shortcut reference was found.


Registry Only Icon (P)

Registry Only Indicator: The [image] icons indicate that a shortcut reference was found.


Results List (P)

Results List: The results of the scan are listed here. To find out more information about an item, highlight it and use one of the toolbar buttons. You can change the column widths or sort order by clicking on the column tabs.


Save As Button (P)

Save As Button: Click here to save the current results in a delimited file. The program defaults to .csv for a file name extension for easy loading in a spread sheet application.


Search Button (P)

Search Button: Opens the Search dialog, which you then use to establish basic settings for your scan. All inventory scans begin with this dialog.


Status Bar (P)

Status Bar: Progress of the shortcut and registry scan are indicated here.


View Menu (P)

View Menu: This includes functions to launch Windows Explorer, view properties, or examine references on a highlighted item


PrintPreview

Print Preview: Click here to open a print preview dialog.


Progress Meter

A progress meter is presented as the initial file scan is conducted. Use the cancel button to abort.

If enabled, the shortcut and/or registry scans are processed in a new thread started by the program. Their progress is indicated on the status bar at the bottom of the main dialog.


Shortcut Properties Launch Button (P)

Shortcut Properties Button: This launches a Windows shortcut properties sheet that can be used to view more information about the highlighted shortcut (if any).


Application Inventory Fax & Mail Order Form

Application Inventory Fax/Mail Order Form

Funduc Software, Inc. - Fax and Mail Order Form
Application Inventory

Funduc Part Numbers: 849-AI-3468 (32-bit Windows) (Circle Your Choice)

849-AI-3464 (64-bit Windows)

Fax Orders:

Fax to the number indicated on the page at
www.funduc.com/contact.htm

Check Orders:

Funduc Software, Inc.
P.O. Box 530904
Livonia, MI 48153-0904
USA

-------- PRINT NEATLY OR TYPE! --------

Price Schedule | Price ($US) Per User | Number of Users | Price
Single user | $ 15.00 | _______ | $________
2 to 9 users | $ 13.00 | _______ | $________
10 to 24 users | $ 11.00 | _______ | $________
25 to 49 users | $ 10.00 | _______ | $________
50+ users | $ 8.00 | _______ | $________
Residents of Michigan, United States - add 6% sales tax |  |  | $________
Preferred Shipping Method Mail disk (US) $8 S&H |  |  | $________
Mail disk (overseas) $10 S&H |  |  | $________
Email (Free) |  |  | $___ 0 __
TOTAL PAYMENT |  |  | $________

Credit Card Information
Card Type (Check One): | Visa[ ] American Express[ ] MasterCard[ ] Discover[ ]
Name as it appears on card: | ____________________________________________________
Credit Card Number: | ____________________________________________________
Expiration Date: | ____________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State Zip: | ____________________________________________________
Country: | ____________________________
Your Information (Write 'Same' if not different from above)
Your Name: | ____________________________________________________
Company: | ____________________________________________________
Street Address: | ____________________________________________________
Street Address: | ____________________________________________________
City, State, Zip: | ____________________________________________________
Country: | ____________________________________________________
Day Phone Number: | ____________________________
Fax Number: | ____________________________
Alt Phone Number: | ____________________________
* EMail Address:* | ____________________________________________________
Signature: | ____________________________________________________
Date: | ____________________________

* Include E-Mail address if you want email delivery.

Comments:


Filters Paths (P)

Filters Paths: This section is used to specify files paths to exclude from a search. The paths you see modeled here would not be scanned for files. Use the Add/Edit/Delete buttons to change the entries.


Filters Strings (P)

Filters Strings: This section is used to specify include/exclude strings. These are strings found in the file version information (if any) returned for a file. Use the radio buttons to control the effect of the string filter. As modeled here, no string filters are enabled. The radio button choice applies to all strings specified. For example, you cannot have one string as an exclude and other as an include filter.


Application Inventory Shareware Version

Application Inventory Shareware

Thank you for trying the shareware version of Application Inventory. The shareware license works for 20 uses. There are no functional limitations in the shareware version other than the time out. There is no splash screen in the registered version.

If you have a question that is not answered in the documentation you may contact us by E-MAIL at support@funduc.com and we will do our best to answer your questions.

Please see Purchase & Order Information for how to obtain a registered version of Application Inventory.